Module | Sequel::Plugins::XmlSerializer::DatasetMethods
In: | lib/sequel/plugins/xml_serializer.rb

### Methods

to_xml

### Public Instance methods

to_xml(opts={})

Return an XML string containing all model objects specified with this dataset. Takes all of the options available to Model#to_xml, as well as the :array_root_name option for specifying the name of the root node that contains the nodes for all of the instances.

[Source]

         # File lib/sequel/plugins/xml_serializer.rb, line 315
    315:         def to_xml(opts={})
    316:           raise(Sequel::Error, "Dataset#to_xml") unless row_proc
    317:           x = model.xml_builder(opts)
    318:           name_proc = model.xml_serialize_name_proc(opts)
    319:           x.send(name_proc[opts.fetch(:array_root_name, model.send(:pluralize, model.send(:underscore, model.name))).to_s]) do |x1|
    320:             all.each do |obj|
    321:               obj.to_xml(opts.merge(:builder=>x1))
    322:             end
    323:           end
    324:           x.to_xml
    325:         end

[Validate]